Canaan Inc

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/canaan-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/canaan-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1770681600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://investor.canaan-creative.com/news-releases/news-release-details/canaan-inc-provides-january-2026-bitcoin-production-and-mining",
    "holding_balance": 1778.0,
    "holding_net_change": 28.0,
    "transaction_value_usd": 1925536.76,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1773100800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://investor.canaan-creative.com/news-releases/news-release-details/canaan-inc-provides-february-2026-bitcoin-production-and-mining",
    "holding_balance": 1793.0,
    "holding_net_change": 15.0,
    "transaction_value_usd": 1048950.15,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1778716800000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://investor.canaan-creative.com/news-releases/news-release-details/canaan-inc-provides-april-2026-bitcoin-production-and-mining",
    "holding_balance": 1826.0,
    "holding_net_change": 33.0,
    "transaction_value_usd": 2675789.16,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/canaan-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1786924800000,
    1826.0
  ],
  [
    1787011200000,
    1826.0
  ],
  [
    1787097600000,
    1826.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/canaan-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1786924800000,
    114720166.44
  ],
  [
    1787011200000,
    117767979.56
  ],
  [
    1787097600000,
    118128231.1
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/canaan-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.2,
    "date": "2026-08-14",
    "high": 0.235,
    "open": 0.2,
    "close": 0.23,
    "volume": 14077400
  },
  {
    "low": 0.213,
    "date": "2026-08-17",
    "high": 0.245,
    "open": 0.226,
    "close": 0.229,
    "volume": 6171500
  },
  {
    "low": 0.215,
    "date": "2026-08-18",
    "high": 0.2322,
    "open": 0.2212,
    "close": 0.218,
    "volume": 3823097
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/canaan-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.04,
  "quarterly_earnings_growth": -0.916,
  "eps_estimate_current_quarter": -0.07
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/canaan-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -17.74,
  "six_month_return": -52.09,
  "three_month_return": -54.87
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/canaan-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 69.3,
  "total_btc_percentage": 0.009,
  "share_price_change_state": "up"
}